boost::geometry::strategy::buffer::end_round Class Reference
strategies: strategies

Let the buffer create rounded ends. More...

List of all members.

## Public Member Functions

| end_round (std::size_t points_per_circle=90)
| Constructs the strategy.

## Detailed Description

Let the buffer create rounded ends.

This strategy can be used as EndStrategy for the buffer algorithm. It creates a rounded end for each linestring-end. It can be applied for (multi)linestrings. Also it is applicable for spikes in (multi)polygons. This strategy is only applicable for Cartesian coordinate systems.

## Constructor & Destructor Documentation

boost::geometry::strategy::buffer::end_round::end_round | ( | std::size_t | points_per_circle = `90` | ) | `[explicit]`

Constructs the strategy.

Parameters:

  points_per_circle | points which would be used for a full circle (if points_per_circle is smaller than 4, it is internally set to 4)

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK